# SingleRange Interface Reference
[Common wrapper and helper classes]

Inheritance diagram for SingleRange:
[legend]

List of all members.

## Public Member Functions

| getStart ()
| getEnd ()
| contains ($probe)

## Detailed Description

Definition at line 15 of file SingleRange.class.php.

## Member Function Documentation

SingleRange::contains | ( | $ | probe | ) |

Implemented in DateRange, IpNetwork, and IpRange.

SingleRange::getEnd | ( |  | ) |

Implemented in DateRange, IpNetwork, and IpRange.

SingleRange::getStart | ( |  | ) |

Implemented in DateRange, IpNetwork, and IpRange.

The documentation for this interface was generated from the following file:

- main/Base/SingleRange.class.php